%{?nodejs_find_provides_and_requires}

%global packagename read-dir-files
%global enable_tests 1

Name:		nodejs-read-dir-files
Version:	0.1.1
Release:	1%{?dist}
Summary:	Recursively read files from a directory

License:	MIT
URL:		https://github.com/mmalecki/node-read-dir-files.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(async)
BuildRequires:	npm(errs)
%if 0%{?enable_tests}
BuildRequires:	npm(vows)
%endif

%description
Recursively read files from a directory


%prep
%setup -q -n package

%nodejs_fixdep async
%nodejs_fixdep errs

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/vows --spec
%else
%{_bindir}/echo "Tests disabled..."
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}


%changelog
* Thu Feb  4 2016 Jared Smith <jsmith@fedoraproject.org> - 0.1.1-1
- Initial packaging
